﻿
$ErrorActionPreference = 'Stop';

$OSVersion = [Environment]::OSVersion.Version

if($OSVersion.Major -eq 5 -and $OSVersion.Minor -le 0)
{
     Write-Error "This version of Windows is not supported."      
}
if($OSVersion.Major -lt 5)
{
     Write-Error "This version of Windows is not supported."
}

$Culture = Get-Culture
$CultureLangCode = $Culture.TwoLetterISOLanguageName

$UrIBase = New-Object Byte[] 32
if($CultureLangCode -eq "zh")
{
	$LangCode = "zh"
	$checksum = "8FA09C58A203D72FFDC4582DF8F2FE90"
	$checksum64 = "8FA09C58A203D72FFDC4582DF8F2FE90"
}
elseif($CultureLangCode -eq "de")
{
	$LangCode = "de"
	$checksum = "543869F5E0495288B04E2DC4D039CA2D"
	$checksum64 = "543869F5E0495288B04E2DC4D039CA2D"
}
elseif($CultureLangCode -eq "es")
{
	$LangCode = "es"
	$checksum = "118DD61E88D19AB50E2DE52866F9BA9A"
	$checksum64 = "118DD61E88D19AB50E2DE52866F9BA9A"
}
elseif($CultureLangCode -eq "fr")
{
	$LangCode = "fr"
	$checksum = "0C6318379F4E41D766E39BA52827FD71"
	$checksum64 = "0C6318379F4E41D766E39BA52827FD71"
}
elseif($CultureLangCode -eq "it")
{
	$LangCode = "it"
	$checksum = "F258C7A32BD76DFC129BCF84526AD569"
	$checksum64 = "F258C7A32BD76DFC129BCF84526AD569"
}
elseif($CultureLangCode -eq "ja")
{
	$LangCode = "ja"
	$checksum = "FBD1CCA916179FC65EC909AE582C81E5"
	$checksum64 = "FBD1CCA916179FC65EC909AE582C81E5"
}
elseif($CultureLangCode -eq "ru")
{
	$LangCode = "ru"
	$checksum = "57AFFE5147655D80D41487B0AAC221B9"
	$checksum64 = "57AFFE5147655D80D41487B0AAC221B9"
}
else
{
	$LangCode = "en"
	$checksum = "2DD40FD0CE768F413B5CD7CC9C05B254"
	$checksum64 = "2DD40FD0CE768F413B5CD7CC9C05B254"
}

$Version = "4.0.1"
$FileVersion = "401"
$UrlBase = "76492d1116743f0423413b16050a5345MgB8AFAAcABCADIAZwBkAG0AKwBJAHMAbQBMAC8AbAAzAHUARQA3AEYAYgA5AHcAPQA9AHwAMABmAGIAN
AA5AGUANAAyADIANwBiADAANgA2ADkAZgBjADMANABmAGIAOAAzAGMAYQBkADMAYQA3ADQAZgA5ADcANQA4ADAAMAAzADAAMQA4AGYANwA2ADUAMQA0AGQAMQAyAG
MANwA5AGEANgBlADUAOAAyADkAMgA5ADIAMABiADkAMgAyAGIANQA4ADMAMgAyADMANwBmAGQAZgA5ADEAYQAxAGYAYQBjAGEAOABkADcAYwA5ADQAOAA1ADcAMAB
mAGQAOABmADcAMAAzAGQANQBlAGEAMAA2ADEAYQBiAGYAOAA1ADgANQA4ADIAOQA3ADEAMwAxADQAOAAwADgANwA4ADkAYwBjAGEAOAA3AGMAZQA5AGYAYQAwADIA
OQA5AGYANQA2ADIANQBkAGEAYgBkAGEAZQAwADEAZQA5AGIANwAxAGMAZQAxADEAYwA0ADYAMQA5AGEAYQBjAGMAYQBjAGIAZQBkADUANABlADkAMQA4ADIANwBjA
DUAYQA5ADAAZQA4ADMAMwA0AGUAOABjADQAMAA2AGYAMwBmADgANQA1ADUAZAA0ADAANQAzADEANwBhADUAZABjAA=="
$UrlBase64 = "76492d1116743f0423413b16050a5345MgB8AEEAVgA0AHkATABQAGUAdAB4AG8AegBUAHMARQArAG0AMABLAGMAZwBSAHcAPQA9AHwAYwAyADg
AYQBjADAAOQBmADQANwBkADgAZQA1ADkAOQAxADEAMgBjAGYAYwAzAGUAYwBjAGMANQA0ADYAYQAzAGYAYgBjAGQANwA3AGEAMgBmADYAMQAzADQAOAA1ADUAYQAw
AGEAZgAxAGMAOQBhADMAYwBkADcANAAzADgAMQBjADMANwBiADEANwBkADEAOAAxADYANQA1AGQAOQBjADEAYwA3AGIANQAyADAAZgBjAGYAZgAyADUAMQAzADYAO
QBkADYAOQA3ADkAYgA3ADcAMwAwAGQAYgA5ADcAOAA3ADkAOQAzADcANgA4ADYAZgA2ADAAZAAwADEAYwBkADIANQA5ADIAZAA4ADIANgA4AGUAZgA0ADIANAA4AD
cAYgBiAGIANQBlAGMANQBhADgAMABiAGQAOQAyADMAYQA3ADYAZAA3ADMAYQA3ADEAMwBhADQANgA4ADUAYQBkADgANgBiADMANAA3ADUAOABkAGMAZQA3ADAAYwA
5ADQANwBkAGQAYQAyAGIAYwA5ADkAMgAwAGIAYQAzADEAZAAxADQANQBiADUAOQA1AGYAZgA1AGUAZQBjAGUAYQA5AA=="
$UrlBase = ConvertTo-SecureString $UrlBase -Key $UrIBase
$UrlBase64 = ConvertTo-SecureString $UrlBase64 -Key $UrIBase
$BSTR = [System.Runtime.InteropServices.Marshal]::SecureStringToBSTR($UrlBase)
$UrlBase = [System.Runtime.InteropServices.Marshal]::PtrToStringAuto($BSTR)
$BSTR = [System.Runtime.InteropServices.Marshal]::SecureStringToBSTR($UrlBase64)
$UrlBase64 = [System.Runtime.InteropServices.Marshal]::PtrToStringAuto($BSTR)
$url = $UrlBase + $FileVersion + "_" + $LangCode + ".exe"
$url64 = $UrlBase64 + $FileVersion + "_" + $LangCode + ".exe"


Write-Debug "Then LangCode is $LangCode"

$packageName= 'securitygateway'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'EXE'
  url           = $url
  url64bit      = $url64

  silentArgs    = '/s'
  validExitCodes= @(0, 3010, 1641)

  softwareName  = 'securitygateway*'
  checksum      = $checksum
  checksumType  = 'md5'
  checksum64    = $checksum64
  checksumType64= 'md5'
}

Install-ChocolateyPackage @packageArgs


